### org.jfree.layouting.renderer.model

# Class EmptyBoxDefinition

- `java.lang.Object`
- - `org.jfree.layouting.renderer.model.EmptyBoxDefinition`

Implemented Interfaces:
  BoxDefinition

`public final class EmptyBoxDefinition`
`extends java.lang.Object`
`implements BoxDefinition`

Creation-Date: 15.06.2006, 17:10:27

Author:
  Thomas Morgner

  ## Method Summary

  `CSSColorValue`

  `getBackgroundColor()`

  `Border`

  `getBorder()`

  `static EmptyBoxDefinition`

  `getInstance()`

  `RenderLength`

  `getMarginBottom()`

  `RenderLength`

  `getMarginLeft()`

  `RenderLength`

  `getMarginRight()`

  `RenderLength`

  `getMarginTop()`

  `RenderLength`

  `getMaximumHeight()`

  `RenderLength`

  `getMaximumWidth()`

  `RenderLength`

  `getMinimumHeight()`

  `RenderLength`

  `getMinimumWidth()`

  `RenderLength`

  `getPaddingBottom()`

  `RenderLength`

  `getPaddingLeft()`

  `RenderLength`

  `getPaddingRight()`

  `RenderLength`

  `getPaddingTop()`

  `RenderLength`

  `getPreferredHeight()`

  `RenderLength`

  `getPreferredWidth()`

  `boolean`

  `isEmpty()`

  `BoxDefinition[]`

  `split(int axis)`

## Method Details

### getBackgroundColor

    public CSSColorValue getBackgroundColor()

> Specified by:
>   getBackgroundColor in interface BoxDefinition

### getBorder

    public Border getBorder()

> Specified by:
>   getBorder in interface BoxDefinition

### getInstance

    public static EmptyBoxDefinition getInstance()

### getMarginBottom

    public RenderLength getMarginBottom()

> Specified by:
>   getMarginBottom in interface BoxDefinition

### getMarginLeft

    public RenderLength getMarginLeft()

> Specified by:
>   getMarginLeft in interface BoxDefinition

### getMarginRight

    public RenderLength getMarginRight()

> Specified by:
>   getMarginRight in interface BoxDefinition

### getMarginTop

    public RenderLength getMarginTop()

> Specified by:
>   getMarginTop in interface BoxDefinition

### getMaximumHeight

    public RenderLength getMaximumHeight()

> Specified by:
>   getMaximumHeight in interface BoxDefinition

### getMaximumWidth

    public RenderLength getMaximumWidth()

> Specified by:
>   getMaximumWidth in interface BoxDefinition

### getMinimumHeight

    public RenderLength getMinimumHeight()

> Specified by:
>   getMinimumHeight in interface BoxDefinition

### getMinimumWidth

    public RenderLength getMinimumWidth()

> Specified by:
>   getMinimumWidth in interface BoxDefinition

### getPaddingBottom

    public RenderLength getPaddingBottom()

> Specified by:
>   getPaddingBottom in interface BoxDefinition

### getPaddingLeft

    public RenderLength getPaddingLeft()

> Specified by:
>   getPaddingLeft in interface BoxDefinition

### getPaddingRight

    public RenderLength getPaddingRight()

> Specified by:
>   getPaddingRight in interface BoxDefinition

### getPaddingTop

    public RenderLength getPaddingTop()

> Specified by:
>   getPaddingTop in interface BoxDefinition

### getPreferredHeight

    public RenderLength getPreferredHeight()

> Specified by:
>   getPreferredHeight in interface BoxDefinition

### getPreferredWidth

    public RenderLength getPreferredWidth()

> Specified by:
>   getPreferredWidth in interface BoxDefinition

### isEmpty

    public boolean isEmpty()

> Specified by:
>   isEmpty in interface BoxDefinition

### split

    public BoxDefinition[] split(int axis)

> Specified by:
>   split in interface BoxDefinition